For the complete documentation index, see llms.txt. This page is also available as Markdown.

Direct serve

get

Returns the first eligible survey along with its questions and possible answers. One of client_key and udid is required.

Query parameters
identifierstringRequired

The account's unique ID.

Example: PI-1234567890
client_keystringOptional

Used to identify a user across devices and advanced survey targeting. See https://docs.pulseinsights.com/implementing-pulse-insights-dev/implementing-on-web-and-mobile-web/client-key for more details.

udidstringRequired

The device's unique ID.

Example: 00000000-0000-4000-f000-000000000001
custom_datastringOptional
preview_modestringOptional

If 'true' then nothing will be recorded in the database.

Example: true
Responses
200

Successful response. Will return empty object if no eligible surveys are found. Otherwise the return type is based on the "device_type" parameter. (native_mobile, email, all others).

application/javascript
stringOptionalExample: {}
or
get/direct_serve
GET /direct_serve?identifier=PI-1234567890&udid=00000000-0000-4000-f000-000000000001 HTTP/1.1
Host: survey.pulseinsights.com
Accept: */*
{}

Last updated

Was this helpful?